## org.eclipse.datatools.sqltools.sql.identifier
Interface IIdentifierValidator

All Known Implementing Classes:
  ASAIdentifierValidator, DefaultIdentifierValidator

    public interface IIdentifierValidator

Validator interface for checking identifier

Author:
  wanh

Field Summary
`static int` `IDENTIFIER_TYPE_COLUM` column
`static int` `IDENTIFIER_TYPE_CURSOR` Cursor
`static int` `IDENTIFIER_TYPE_EVENT` Event
`static int` `IDENTIFIER_TYPE_INDEX` Index
`static int` `IDENTIFIER_TYPE_LOCAL_VARAIBLE` Local variable
`static int` `IDENTIFIER_TYPE_PARAMETER` Parameter
`static int` `IDENTIFIER_TYPE_RULES` Rule
`static int` `IDENTIFIER_TYPE_SP` Stored procedure
`static int` `IDENTIFIER_TYPE_TABLE` Table
`static int` `IDENTIFIER_TYPE_TRIGGER` Trigger
`static int` `IDENTIFIER_TYPE_UDF` User defined function
`static int` `IDENTIFIER_TYPE_UNKNOW` Unknow Type
`static int` `IDENTIFIER_TYPE_VIEW` View

Method Summary
`int` `getMaximumIdLength(int idType)` Returns the maximum identifier length supported by the server
`ValidatorMessage` `isValid(java.lang.String value, int identifierType, org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)` Check the valid of given identifier
`void` `setLevel(int level)` Set the error message level

Field Detail

### IDENTIFIER_TYPE_UNKNOW

    static final int IDENTIFIER_TYPE_UNKNOW

  Unknow Type

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_TABLE

    static final int IDENTIFIER_TYPE_TABLE

  Table

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_VIEW

    static final int IDENTIFIER_TYPE_VIEW

  View

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_COLUM

    static final int IDENTIFIER_TYPE_COLUM

  column

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_INDEX

    static final int IDENTIFIER_TYPE_INDEX

  Index

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_RULES

    static final int IDENTIFIER_TYPE_RULES

  Rule

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_CURSOR

    static final int IDENTIFIER_TYPE_CURSOR

  Cursor

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_LOCAL_VARAIBLE

    static final int IDENTIFIER_TYPE_LOCAL_VARAIBLE

  Local variable

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_PARAMETER

    static final int IDENTIFIER_TYPE_PARAMETER

  Parameter

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_SP

    static final int IDENTIFIER_TYPE_SP

  Stored procedure

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_UDF

    static final int IDENTIFIER_TYPE_UDF

  User defined function

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_EVENT

    static final int IDENTIFIER_TYPE_EVENT

  Event

  See Also:
    Constant Field Values

### IDENTIFIER_TYPE_TRIGGER

    static final int IDENTIFIER_TYPE_TRIGGER

  Trigger

  See Also:
    Constant Field Values

Method Detail

### isValid

    ValidatorMessage isValid(java.lang.String value,
                             int identifierType,
                             org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)

  Check the valid of given identifier

  Parameters:
    `value` -
    `identifierType` -
    `databaseIdentifier` -
  Returns:

### getMaximumIdLength

    int getMaximumIdLength(int idType)

  Returns the maximum identifier length supported by the server

  Parameters:
    `idType` - the identifier type @see IIdentifierValidator
  Returns:

### setLevel

    void setLevel(int level)

  Set the error message level

  Parameters:
    `level` - error message level